/*
 *  Copyright (C) 2003 Patrizio Bruno.
 *  E-mail: desertconsulting@firenze.net.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
 */

#ifndef __GTKMDI_INTERNAL_H__
#define __GTKMDI_INTERNAL_H__
enum
{
	WINDOW_OPENED,
	WINDOW_CLOSED,
	WINDOW_MAXIMIZED,
	WINDOW_UNMAXIMIZED,
	WINDOW_ICONIFIED,
	WINDOW_DEICONIFIED,
	LAST_SIGNAL
};

static guint gtk_mdi_signals[LAST_SIGNAL] = {0};

struct _GtkLayoutChild {
	GtkWidget *widget;
	gint x;
	gint y;
};

void gtk_mdi_window_set_has_focus (GtkMdiWindow *window, gboolean setting);

#endif /* __GTKMDI_INTERNAL_H__ */
